Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class CallEvent

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.Event
                        |
                        +--org.opencyc.uml.statemachine.CallEvent

public class CallEvent
extends Event

SignalEvent from the UML State_Machine package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected org.opencyc.uml.core.Operation` | `operation` the operation of this call event

Fields inherited from class org.opencyc.uml.statemachine.Event
`parameter`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`CallEvent()` Constructs a new CallEvent object.

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns true if the given object equals this object.
`org.opencyc.uml.core.Operation` | `getOperation()` Gets the operation of this call event
`void` | `setOperation(org.opencyc.uml.core.Operation operation)` Sets the operation of this call event

Methods inherited from class org.opencyc.uml.statemachine.Event
`getParameter, setParameter`

Methods inherited from class org.opencyc.uml.core.ModelElement
`getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### operation

    protected org.opencyc.uml.core.Operation operation

  the operation of this call event

Constructor Detail

### CallEvent

    public CallEvent()

  Constructs a new CallEvent object.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the given object equals this object.
  Overrides:
    `equals` in class `Event`
  Parameters:
    `object` - the given object
  Returns:
    true if the given object equals this object, otherwise returns false

### getOperation

    public org.opencyc.uml.core.Operation getOperation()

  Gets the operation of this call event
  Returns:
    the operation of this call event

### setOperation

    public void setOperation(org.opencyc.uml.core.Operation operation)

  Sets the operation of this call event
  Parameters:
    `operation` - the operation of this call event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD